# H245_MiscellaneousCommand_type Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum

Choices {
e_equaliseDelay, e_zeroDelay, e_multipointModeCommand, e_cancelMultipointModeCommand,
e_videoFreezePicture, e_videoFastUpdatePicture, e_videoFastUpdateGOB, e_videoTemporalSpatialTradeOff,
e_videoSendSyncEveryGOB, e_videoSendSyncEveryGOBCancel, e_videoFastUpdateMB, e_maxH223MUXPDUsize,
e_encryptionUpdate, e_encryptionUpdateRequest, e_switchReceiveMediaOff, e_switchReceiveMediaOn,
e_progressiveRefinementStart, e_progressiveRefinementAbortOne, e_progressiveRefinementAbortContinuous, e_videoBadMBs,
e_lostPicture, e_lostPartialPicture, e_recoveryReferencePicture, e_encryptionUpdateCommand,
e_encryptionUpdateAck
}

## Public Member Functions

| H245_MiscellaneousCommand_type (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_MiscellaneousCommand_type_videoFastUpdateGOB & ()
| operator const H245_MiscellaneousCommand_type_videoFastUpdateGOB & () const
| operator H245_MiscellaneousCommand_type_videoFastUpdateMB & ()
| operator const H245_MiscellaneousCommand_type_videoFastUpdateMB & () const
| operator H245_EncryptionSync & ()
| operator const H245_EncryptionSync & () const
| operator H245_EncryptionUpdateRequest & ()
| operator const H245_EncryptionUpdateRequest & () const
| operator H245_MiscellaneousCommand_type_progressiveRefinementStart & ()
| operator const H245_MiscellaneousCommand_type_progressiveRefinementStart & () const
| operator H245_MiscellaneousCommand_type_videoBadMBs & ()
| operator const H245_MiscellaneousCommand_type_videoBadMBs & () const
| operator H245_ArrayOf_PictureReference & ()
| operator const H245_ArrayOf_PictureReference & () const
| operator H245_MiscellaneousCommand_type_lostPartialPicture & ()
| operator const H245_MiscellaneousCommand_type_lostPartialPicture & () const
| operator H245_MiscellaneousCommand_type_encryptionUpdateCommand & ()
| operator const H245_MiscellaneousCommand_type_encryptionUpdateCommand & () const
| operator H245_MiscellaneousCommand_type_encryptionUpdateAck & ()
| operator const H245_MiscellaneousCommand_type_encryptionUpdateAck & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_MiscellaneousCommand_type::Choices

Enumerator:

  e_equaliseDelay |
  e_zeroDelay |
  e_multipointModeCommand |
  e_cancelMultipointModeCommand |
  e_videoFreezePicture |
  e_videoFastUpdatePicture |
  e_videoFastUpdateGOB |
  e_videoTemporalSpatialTradeOff |
  e_videoSendSyncEveryGOB |
  e_videoSendSyncEveryGOBCancel |
  e_videoFastUpdateMB |
  e_maxH223MUXPDUsize |
  e_encryptionUpdate |
  e_encryptionUpdateRequest |
  e_switchReceiveMediaOff |
  e_switchReceiveMediaOn |
  e_progressiveRefinementStart |
  e_progressiveRefinementAbortOne |
  e_progressiveRefinementAbortContinuous |
  e_videoBadMBs |
  e_lostPicture |
  e_lostPartialPicture |
  e_recoveryReferencePicture |
  e_encryptionUpdateCommand |
  e_encryptionUpdateAck |

## Constructor & Destructor Documentation

H245_MiscellaneousCommand_type::H245_MiscellaneousCommand_type | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_videoFastUpdateGOB & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_videoFastUpdateGOB & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_videoFastUpdateMB & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_videoFastUpdateMB & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_EncryptionSync & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_EncryptionSync & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_EncryptionUpdateRequest & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_EncryptionUpdateRequest & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_progressiveRefinementStart & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_progressiveRefinementStart & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_videoBadMBs & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_videoBadMBs & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_ArrayOf_PictureReference & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_ArrayOf_PictureReference & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_lostPartialPicture & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_lostPartialPicture & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_encryptionUpdateCommand & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_encryptionUpdateCommand & | ( |  | ) | const

H245_MiscellaneousCommand_type::operator H245_MiscellaneousCommand_type_encryptionUpdateAck & | ( |  | ) |

H245_MiscellaneousCommand_type::operator const H245_MiscellaneousCommand_type_encryptionUpdateAck & | ( |  | ) | const

PBoolean H245_MiscellaneousCommand_type::CreateObject | ( |  | ) |

PObject* H245_MiscellaneousCommand_type::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h